package com.iamberry.wechat.core.entity.task;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.iamberry.wechat.core.entity.product.ProductType;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月20日
 * @explain	微信任务实体类
 */
public class WechatTask implements Serializable {

	private static final long serialVersionUID = 6742165291279096228L;

	private Integer taskId;						// id
	
	private String taskDesc;					// 简介
	
	private Integer taskSalesNum;				// 达到多少的购买数量给予奖励
	
	private Integer taskMoney;					// 奖励金额
	
	private Integer taskType;					// 1: 表示奖励每个（每个月）、默认
												// 2：表示奖励首月
	
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date taskStartDate;					// 开始时间

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date taskEndDate;					// 结束时间
	
	private Integer taskProductType;			// 产品类型
	
	private Date taskCreateDate;				// 创建时间
	
	private Date taskUpdateDate;				// 更新时间
	
	private ProductType productType;			// 返利类型

	public ProductType getProductType() {
		return productType;
	}

	public void setProductType(ProductType productType) {
		this.productType = productType;
	}

	public Integer getTaskId() {
		return taskId;
	}

	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}

	public String getTaskDesc() {
		return taskDesc;
	}

	public void setTaskDesc(String taskDesc) {
		this.taskDesc = taskDesc;
	}

	public Integer getTaskSalesNum() {
		return taskSalesNum;
	}

	public void setTaskSalesNum(Integer taskSalesNum) {
		this.taskSalesNum = taskSalesNum;
	}

	public Integer getTaskMoney() {
		return taskMoney;
	}

	public void setTaskMoney(Integer taskMoney) {
		this.taskMoney = taskMoney;
	}

	public Integer getTaskType() {
		return taskType;
	}

	public void setTaskType(Integer taskType) {
		this.taskType = taskType;
	}

	public Date getTaskStartDate() {
		return taskStartDate;
	}

	public void setTaskStartDate(Date taskStartDate) {
		this.taskStartDate = taskStartDate;
	}

	public Date getTaskEndDate() {
		return taskEndDate;
	}

	public void setTaskEndDate(Date taskEndDate) {
		this.taskEndDate = taskEndDate;
	}

	public Integer getTaskProductType() {
		return taskProductType;
	}

	public void setTaskProductType(Integer taskProductType) {
		this.taskProductType = taskProductType;
	}

	public Date getTaskCreateDate() {
		return taskCreateDate;
	}

	public void setTaskCreateDate(Date taskCreateDate) {
		this.taskCreateDate = taskCreateDate;
	}

	public Date getTaskUpdateDate() {
		return taskUpdateDate;
	}

	public void setTaskUpdateDate(Date taskUpdateDate) {
		this.taskUpdateDate = taskUpdateDate;
	}
}
